Description

I looked at the latest backend work on 4.4. I really like how it is looking but have one suggestion. In a content element the before and
after fields do not seem to be logically grouped for me. I have attached a screenshot. The view labelled current is how it is now. I have
also supplied an option A & B which I think are more logical. I prefer Option A.

(issue imported from #M14735)

Related issues:
related to Core - Bug # 22890: Adjust Link field in General Tab of CE Closed 2010-06-15
related to Core - Bug # 22901: TCEforms styling for new Backend design Closed 2010-06-16
related to Core - Feature # 23766: Implement new layout and labels for tt_con... Closed 2010-10-17

History
#1 - 2010-06-15 17:31 - Ron Hall

After thinking a bit more, I think I have an even better arrangement for before and after fields. I have attached a revised screenshot. I now prefer option
C.

#2 - 2010-06-15 17:56 - Chris topher

Thanks for the tests!

I like versions A and C - somehow C a bit more than A.
Version B has longer ways between the two fields. Considering that one might want to use both, that is not ideal. Furthermore that arrangement does
not look that nicely.

#3 - 2010-06-20 16:37 - Steffen Ritter

since this has been reverted,this one does not apply anymore, 
postponed to 4.5, where whe hopefully have a refactored tceforms

#4 - 2010-10-19 23:42 - Chris topher

TCEForms have been refreshed now. The current solution comes close to your idea B.

Ron, what do you think?
#5 - 2010-10-20 01:30 - Ron Hall

Hi Christopher,

I saw your note asking for feedback on #0014735 about the before after fields. I setup a site using 4.5 trunk and took a look. The appearance of the
fields looks fine. However, I wonder about the labels. For a CSS person like me the current "top-margin" and "bottom-margin" are fine, but I wonder if
"space before" and "space after" would be better terminology for general editors.

I will say the rearrangement of many fields in the text with image CE is concerning to me. Some of the moves do not make sense to me, but that is not
the subject of this report and I will need to think about it a bit more.

Thanks,
Ron

#6 - 2010-10-20 10:13 - Jo Hasenau

Hi Ron - Maybe we can Skype about that.

The new positions of the fields have been discussed a lot, but they follow certain rules we made before the rearrangement.

But we wanted to ask you native speakers about the labels anyway, since we are pretty sure about the German labels, but still open for suggestions of
the default labels.

There are some labels that have been changed on purpose though, like "hide" => "disable", because we want to make sure that they describe the
action connected to the field better than before.

So when you are looking for labels you should do the same we did: Try to forget anything you know about TYPO3 and imagine you are a complete
newbie.

#7 - 2011-08-17 18:55 - Dmitry Dulepov
- Status changed from Needs Feedback to Closed
- Target version deleted (0)

No feedback provided within 90 days. Closing the issue.

Files
before_after_fields.gif 27.9 kB 2010-06-15 Administrator Admin
before_after_fields_revised.gif 36.9 kB 2010-06-15 Administrator Admin
